    Delete the background model expression for a data set.

delete_bkg_model(id=None, bkg_id=None)
id - int or str, optional
bkg_id - int or string, optional

This removes the model expression, created by `set_bkg_model` , for the background component of a data set. It does not delete the components of the expression, or remove the models for any other background components or the source of the data set.

Remove the background model expression for the default data set:

>>> delete_bkg_model()

Remove the model expression for the background component labelled 'down' for the data set with the identifier 'src':

>>> delete_bkg_model('src', 'down')

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set containing the source expression. If not given then the default identifier is used, as returned by

`get_default_id` .
bkg_id
The identifier for the background component to use.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023